# replace\_near

## `replace_near`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/replace_near#triggered-effect)

将附近的方块替换为其他方块。

## 示例配置

```yaml
- id: replace_near
  args:
    radius: 5 # 横向半径
    radius_y: 5 # 纵向半径
    replace_to: obsidian # 替换后的方块
    duration: 40 # 可选，替换时长，结束后将会恢复原样
    whitelist: # 可选，可替换的方块列表
      - lava
    exposed_only: true # 可选，是否仅暴露在外的方块替换
    source_only: true # 可选，是否仅液体源头替换
    disable_on_sneak: true # 是否潜行后不激活
```

```yaml
- id: replace_near
  args:
    radius: 5 # 横向半径
    radius_y: 5 # 纵向半径
    replace_to: gold_block # 替换后的方块
    blacklist: # 可选，不替换的方块列表
      - gold_ore
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/replace_near.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
